## org.exist.memtree
Class CDATASectionImpl

    java.lang.Object
      org.exist.memtree.NodeImpl
          org.exist.memtree.CDATASectionImpl

All Implemented Interfaces:
  org.w3c.dom.CDATASection, org.w3c.dom.CharacterData, java.lang.Comparable, Item, org.w3c.dom.Node, NodeValue, QNameable, Sequence, org.w3c.dom.Text

public class CDATASectionImpl
extends NodeImpl
implements org.w3c.dom.CDATASection

Represents a CDATA section.

Author:
  wolf

Field Summary

Fields inherited from class org.exist.memtree.NodeImpl
`NAMESPACE_NODE, REFERENCE_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.exist.xquery.value.NodeValue
`IN_MEMORY_NODE, PERSISTENT_NODE`

Fields inherited from interface org.exist.xquery.value.Sequence
`EMPTY_SEQUENCE`

Constructor Summary
`CDATASectionImpl(DocumentImpl doc, int nodeNumber)`

Method Summary
`void` `appendData(java.lang.String arg)`
`void` `deleteData(int offset, int count)`
`java.lang.String` `getData()`
`org.w3c.dom.Node` `getFirstChild()`
`java.lang.String` `getWholeText()` ? @see org.w3c.dom.Text#getWholeText()
`void` `insertData(int offset, java.lang.String arg)`
`boolean` `isElementContentWhitespace()` ? @see org.w3c.dom.Text#isElementContentWhitespace()
`void` `replaceData(int offset, int count, java.lang.String arg)`
`org.w3c.dom.Text` `replaceWholeText(java.lang.String content)` ? @see org.w3c.dom.Text#replaceWholeText(java.lang.String)
`void` `setData(java.lang.String data)`
`org.w3c.dom.Text` `splitText(int offset)`
`java.lang.String` `substringData(int offset, int count)`
`java.lang.String` `toString()`

Methods inherited from class org.exist.memtree.NodeImpl

`add, addAll, addContextNode, after, appendChild, atomize, before, clearContext, cloneNode, compareDocumentPosition, compareTo, conversionPreference, convertTo, copyTo, deepCopy, effectiveBooleanValue, equals, equals, expand, getAttributes, getBaseURI, getCardinality, getChildNodes, getDocument, getDocumentSet, getFeature, getImplementationType, getItemType, getLastChild, getLength, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeNumber, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getQName, getStringValue, getTextContent, getType, getUserData, hasAttributes, hasChildNodes, hasMany, hasOne, insertBefore, isCached, isDefaultNamespace, isEmpty, isEqualNode, isPersistentSet, isSameNode, isSupported, itemAt, iterate, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeDuplicates, replaceChild, setIsCached, setNodeValue, setPrefix, setSelfAsContext, setTextContent, setUserData, streamTo, toJavaObject, toNodeSet, toSAX, toSequence, unorderedIterator`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`getLength`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### CDATASectionImpl

    public CDATASectionImpl(DocumentImpl doc,
                            int nodeNumber)

Parameters:
  `doc` -
  `nodeNumber` -

Method Detail

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Throws:
    `org.w3c.dom.DOMException`

### deleteData

    public void deleteData(int offset,
                           int count)
                    throws org.w3c.dom.DOMException

  Specified by:
    `deleteData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### getData

    public java.lang.String getData()
                             throws org.w3c.dom.DOMException

  Specified by:
    `getData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### substringData

    public java.lang.String substringData(int offset,
                                          int count)
                                   throws org.w3c.dom.DOMException

  Specified by:
    `substringData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### replaceData

    public void replaceData(int offset,
                            int count,
                            java.lang.String arg)
                     throws org.w3c.dom.DOMException

  Specified by:
    `replaceData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### insertData

    public void insertData(int offset,
                           java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `insertData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### appendData

    public void appendData(java.lang.String arg)
                    throws org.w3c.dom.DOMException

  Specified by:
    `appendData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.CharacterData`
  Throws:
    `org.w3c.dom.DOMException`

### isElementContentWhitespace

    public boolean isElementContentWhitespace()

  ? @see org.w3c.dom.Text#isElementContentWhitespace()

### getWholeText

    public java.lang.String getWholeText()

  ? @see org.w3c.dom.Text#getWholeText()

### replaceWholeText

    public org.w3c.dom.Text replaceWholeText(java.lang.String content)
                                      throws org.w3c.dom.DOMException

  ? @see org.w3c.dom.Text#replaceWholeText(java.lang.String)

  Throws:
    `org.w3c.dom.DOMException`

### toString

    public java.lang.String toString()

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    `getFirstChild` in interface `org.w3c.dom.Node`
  Overrides:
    `getFirstChild` in class `NodeImpl`

Copyright (C) Wolfgang Meier. All rights reserved.